<?php

namespace Litecms\Planpackage;

use User;

class Planpackage
{
    /**
     * $planpackage object.
     */
    protected $planpackage;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\Planpackage\Interfaces\PlanpackageRepositoryInterface $planpackage)
    {
        $this->planpackage = $planpackage;
    }

    /**
     * Returns count of planpackage.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.planpackage.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->planpackage->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\PlanpackageUserCriteria());
        }

        $planpackage = $this->planpackage->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('planpackage::' . $view, compact('planpackage'))->render();
    }
}
