<?php

namespace Litecms\Planpackage\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class PlanpackageTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Planpackage\Models\Planpackage $planpackage)
    {
        return [
            'id'                => $planpackage->getRouteKey(),
            'key'               => [
                'public'    => $planpackage->getPublicKey(),
                'route'     => $planpackage->getRouteKey(),
            ], 
            'name'              => $planpackage->name,
            'status'            => $planpackage->status,
            'url'               => [
                'public'    => trans_url('planpackage/'.$planpackage->getPublicKey()),
                'user'      => guard_url('planpackage/planpackage/'.$planpackage->getRouteKey()),
            ], 
            'status'            => trans('app.'.$planpackage->status),
            'created_at'        => format_date($planpackage->created_at),
            'updated_at'        => format_date($planpackage->updated_at),
        ];
    }
}